<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
LongSetAt Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : LongSetAt Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

lKey
  Key whose value to set

bsValue
  New value

Sets the value for the specified integer key.

# Syntax

Visual Basic |
--- | ---

    Sub LongSetAt( _
       ByVal lKey As System.Integer, _
       ByVal bsValue As System.String _
    )

C# |
--- | ---

    void LongSetAt(
       System.int lKey,
       System.string bsValue
    )

C++/CLI |
--- | ---

    void LongSetAt(
    &   System.int lKey,
    &   System.String^ bsValue
    )

#### Parameters

lKey
  Key whose value to set
bsValue
  New value

# Example

Get and Set Dictionary Key-Value Pairs (VB.NET)
Get and Set Dictionary Key-Value Pairs (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringSetAt Method ()
IEdmDictionary5::LongRemoveAt Method ()
IEdmDictionary5::LongGetAt Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2